Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596407 - [abrt] crash in setroubleshoot-server-2.2.83-1.fc13: browser.py:360:on_delete_button_clicked:AttributeError: BrowserApplet instance has no attribute 'current_alert'
Summary: [abrt] crash in setroubleshoot-server-2.2.83-1.fc13: browser.py:360:on_delete...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d5d97a5b
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 17:50 UTC by sx2010
Modified: 2011-06-27 16:43 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:43:32 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-26 17:50 UTC, sx2010
no flags Details

Description sx2010 2010-05-26 17:50:40 UTC
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python -E /usr/bin/sealert -s
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.33.4-95.fc13.i686.PAE
package: setroubleshoot-server-2.2.83-1.fc13
reason: browser.py:360:on_delete_button_clicked:AttributeError: BrowserApplet instance has no attribute 'current_alert'
release: Fedora release 13 (Goddard)

backtrace
-----
browser.py:360:on_delete_button_clicked:AttributeError: BrowserApplet instance has no attribute 'current_alert'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/setroubleshoot/browser.py", line 360, in on_delete_button_clicked
    self.database.delete_signature(self.alert_list[self.current_alert].sig)
AttributeError: BrowserApplet instance has no attribute 'current_alert'

Local variables in innermost frame:
widget: <gtk.Button object at 0x959a4dc (GtkButton at 0x8fd50f8)>
self: <setroubleshoot.browser.BrowserApplet instance at 0x9592d0c>

Comment 1 sx2010 2010-05-26 17:50:43 UTC
Created attachment 416950 [details]
File: backtrace

Comment 2 parag_chinchole 2010-05-28 04:24:50 UTC
Package: setroubleshoot-server-2.2.83-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. While installing Rational Application Developer, it generated the following error:
InstallerImage_linux/jre_5.0.3.sr8a_20080811b/jre/bin/classic/libjvm.so: cannot restore segment prot after reloc: Permission denied
2. When I clicked twice on the "Delete" button to remove the alert, sealert crashed
3.

Comment 3 Peter Dawes 2010-06-07 13:34:11 UTC
Package: setroubleshoot-server-2.2.83-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Selinux alert popped up
2.clicked on it - said no alert to display
3.clicked on Close - crash.


Comment
-----
Given that the setroubleshoot browser popped up with no alert to display, I'd guess that's not an expected situation...  Perhaps the button actions when there's no alert need to be checked?

Comment 4 Adam Goode 2010-06-08 15:03:17 UTC
Package: setroubleshoot-server-2.2.83-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
The icon appeared at the top, I clicked it and the setroubleshoot window appeared, but there were actually no alerts. Clicked Delete when there were no alerts.

Comment 5 Peter Veres 2010-06-11 12:28:30 UTC
Package: setroubleshoot-server-2.2.83-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Clicked on selinux alert icon in tray. Window showed up but was empty. Clicked close and crash appeared.

Comment 6 Carl G. 2010-06-13 04:29:48 UTC
Dan

https://bugzilla.redhat.com/show_bug.cgi?id=593219 ?

Comment 8 Daniel Walsh 2010-10-07 13:46:29 UTC
I believe this is fixed in setroubleshoot-2.2.102-1.fc13

Comment 9 Bug Zapper 2011-06-02 13:23:32 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2011-06-27 16:43:32 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.